<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>BarRecord (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BarRecord (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/BarRecord.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/chart/AxisUsedRecord.html"
               title="class in org.apache.poi.hssf.record.chart"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/chart/BeginRecord.html"
               title="class in org.apache.poi.hssf.record.chart"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/chart/BarRecord.html"
               target="_top">Frames</a></li>
        <li><a href="BarRecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.record.chart</div>
    <h2 title="Class BarRecord" class="title">Class BarRecord</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../../org/apache/poi/hssf/record/RecordBase.html"
                       title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.RecordBase</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../../org/apache/poi/hssf/record/Record.html"
                               title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.Record</a></li>
                        <li>
                            <ul class="inheritance">
                                <li><a href="../../../../../../org/apache/poi/hssf/record/StandardRecord.html"
                                       title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.StandardRecord</a>
                                </li>
                                <li>
                                    <ul class="inheritance">
                                        <li>org.apache.poi.hssf.record.chart.BarRecord</li>
                                    </ul>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Cloneable</dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">BarRecord</span>
extends <a href="../../../../../../org/apache/poi/hssf/record/StandardRecord.html"
           title="class in org.apache.poi.hssf.record">StandardRecord</a>
implements java.lang.Cloneable</pre>
                <div class="block">The bar record is used to define a bar chart.<p></div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Glen Stampoultzis (glens at apache.org)</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/BarRecord.html#sid">sid</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/BarRecord.html#BarRecord--">BarRecord</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/BarRecord.html#BarRecord-org.apache.poi.hssf.record.RecordInputStream-">BarRecord</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                                        title="class in org.apache.poi.hssf.record">RecordInputStream</a>&nbsp;in)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/BarRecord.html"
                                        title="class in org.apache.poi.hssf.record.chart">BarRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/BarRecord.html#clone--">clone</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/BarRecord.html#getBarSpace--">getBarSpace</a></span>()</code>
                                    <div class="block">Get the bar space field for the Bar record.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/BarRecord.html#getCategorySpace--">getCategorySpace</a></span>()</code>
                                    <div class="block">Get the category space field for the Bar record.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/BarRecord.html#getDataSize--">getDataSize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/BarRecord.html#getFormatFlags--">getFormatFlags</a></span>()</code>
                                    <div class="block">Get the format flags field for the Bar record.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/BarRecord.html#getSid--">getSid</a></span>()</code>
                                    <div class="block">return the non static version of the id for this record.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/BarRecord.html#isDisplayAsPercentage--">isDisplayAsPercentage</a></span>()</code>
                                    <div class="block">display chart values as a percentage</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/BarRecord.html#isHorizontal--">isHorizontal</a></span>()</code>
                                    <div class="block">true to display horizontal bar charts, false for vertical</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/BarRecord.html#isShadow--">isShadow</a></span>()</code>
                                    <div class="block">display a shadow for the chart</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/BarRecord.html#isStacked--">isStacked</a></span>()</code>
                                    <div class="block">stack displayed values</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/BarRecord.html#serialize-org.apache.poi.util.LittleEndianOutput-">serialize</a></span>(<a
                                        href="../../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                        title="interface in org.apache.poi.util">LittleEndianOutput</a>&nbsp;out)</code>
                                    <div class="block">Write the data content of this BIFF record.</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/BarRecord.html#setBarSpace-short-">setBarSpace</a></span>(short&nbsp;field_1_barSpace)</code>
                                    <div class="block">Set the bar space field for the Bar record.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/BarRecord.html#setCategorySpace-short-">setCategorySpace</a></span>(short&nbsp;field_2_categorySpace)</code>
                                    <div class="block">Set the category space field for the Bar record.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/BarRecord.html#setDisplayAsPercentage-boolean-">setDisplayAsPercentage</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the display as percentage field value.</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/BarRecord.html#setFormatFlags-short-">setFormatFlags</a></span>(short&nbsp;field_3_formatFlags)</code>
                                    <div class="block">Set the format flags field for the Bar record.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/BarRecord.html#setHorizontal-boolean-">setHorizontal</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the horizontal field value.</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/BarRecord.html#setShadow-boolean-">setShadow</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the shadow field value.</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/BarRecord.html#setStacked-boolean-">setStacked</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the stacked field value.</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/BarRecord.html#toString--">toString</a></span>()</code>
                                    <div class="block">get a string representation of the record (for
                                        biffview/debugging)
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.record.StandardRecord">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.record.<a
                                        href="../../../../../../org/apache/poi/hssf/record/StandardRecord.html"
                                        title="class in org.apache.poi.hssf.record">StandardRecord</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/hssf/record/StandardRecord.html#getRecordSize--">getRecordSize</a>,
                                    <a href="../../../../../../org/apache/poi/hssf/record/StandardRecord.html#serialize-int-byte:A-">serialize</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.record.Record">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.record.<a
                                        href="../../../../../../org/apache/poi/hssf/record/Record.html"
                                        title="class in org.apache.poi.hssf.record">Record</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/hssf/record/Record.html#cloneViaReserialise--">cloneViaReserialise</a>,
                                    <a href="../../../../../../org/apache/poi/hssf/record/Record.html#serialize--">serialize</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="sid">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>sid</h4>
                                <pre>public static final&nbsp;short sid</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.chart.BarRecord.sid">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="BarRecord--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BarRecord</h4>
                                <pre>public&nbsp;BarRecord()</pre>
                            </li>
                        </ul>
                        <a name="BarRecord-org.apache.poi.hssf.record.RecordInputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>BarRecord</h4>
                                <pre>public&nbsp;BarRecord(<a
                                        href="../../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                                        title="class in org.apache.poi.hssf.record">RecordInputStream</a>&nbsp;in)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/hssf/record/Record.html#toString--">Record</a></code></span>
                                </div>
                                <div class="block">get a string representation of the record (for biffview/debugging)
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hssf/record/Record.html#toString--">toString</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hssf/record/Record.html"
                                                title="class in org.apache.poi.hssf.record">Record</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="serialize-org.apache.poi.util.LittleEndianOutput-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>public&nbsp;void&nbsp;serialize(<a
                                        href="../../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                        title="interface in org.apache.poi.util">LittleEndianOutput</a>&nbsp;out)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/hssf/record/StandardRecord.html#serialize-org.apache.poi.util.LittleEndianOutput-">StandardRecord</a></code></span>
                                </div>
                                <div class="block">Write the data content of this BIFF record. The 'ushort sid' and
                                    'ushort size' header fields
                                    have already been written by the superclass.
                                    <p>
                                        The number of bytes written must equal the record size reported by
                                        <a href="../../../../../../org/apache/poi/hssf/record/RecordBase.html#getRecordSize--"><code>RecordBase.getRecordSize()</code></a>}
                                        minus four
                                        ( record header consisting of a 'ushort sid' and 'ushort reclength' has already
                                        been written
                                        by their superclass).</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hssf/record/StandardRecord.html#serialize-org.apache.poi.util.LittleEndianOutput-">serialize</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hssf/record/StandardRecord.html"
                                                title="class in org.apache.poi.hssf.record">StandardRecord</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>out</code> - the output object</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDataSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDataSize</h4>
                                <pre>protected&nbsp;int&nbsp;getDataSize()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hssf/record/StandardRecord.html#getDataSize--">getDataSize</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hssf/record/StandardRecord.html"
                                                title="class in org.apache.poi.hssf.record">StandardRecord</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSid--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSid</h4>
                                <pre>public&nbsp;short&nbsp;getSid()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/hssf/record/Record.html#getSid--">Record</a></code></span>
                                </div>
                                <div class="block">return the non static version of the id for this record.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hssf/record/Record.html#getSid--">getSid</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hssf/record/Record.html"
                                                title="class in org.apache.poi.hssf.record">Record</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>he id for this record</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="clone--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clone</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/hssf/record/chart/BarRecord.html"
                                        title="class in org.apache.poi.hssf.record.chart">BarRecord</a>&nbsp;clone()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hssf/record/Record.html#clone--">clone</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hssf/record/Record.html"
                                                title="class in org.apache.poi.hssf.record">Record</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBarSpace--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBarSpace</h4>
                                <pre>public&nbsp;short&nbsp;getBarSpace()</pre>
                                <div class="block">Get the bar space field for the Bar record.</div>
                            </li>
                        </ul>
                        <a name="setBarSpace-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBarSpace</h4>
                                <pre>public&nbsp;void&nbsp;setBarSpace(short&nbsp;field_1_barSpace)</pre>
                                <div class="block">Set the bar space field for the Bar record.</div>
                            </li>
                        </ul>
                        <a name="getCategorySpace--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCategorySpace</h4>
                                <pre>public&nbsp;short&nbsp;getCategorySpace()</pre>
                                <div class="block">Get the category space field for the Bar record.</div>
                            </li>
                        </ul>
                        <a name="setCategorySpace-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCategorySpace</h4>
                                <pre>public&nbsp;void&nbsp;setCategorySpace(short&nbsp;field_2_categorySpace)</pre>
                                <div class="block">Set the category space field for the Bar record.</div>
                            </li>
                        </ul>
                        <a name="getFormatFlags--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFormatFlags</h4>
                                <pre>public&nbsp;short&nbsp;getFormatFlags()</pre>
                                <div class="block">Get the format flags field for the Bar record.</div>
                            </li>
                        </ul>
                        <a name="setFormatFlags-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFormatFlags</h4>
                                <pre>public&nbsp;void&nbsp;setFormatFlags(short&nbsp;field_3_formatFlags)</pre>
                                <div class="block">Set the format flags field for the Bar record.</div>
                            </li>
                        </ul>
                        <a name="setHorizontal-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHorizontal</h4>
                                <pre>public&nbsp;void&nbsp;setHorizontal(boolean&nbsp;value)</pre>
                                <div class="block">Sets the horizontal field value.
                                    true to display horizontal bar charts, false for vertical
                                </div>
                            </li>
                        </ul>
                        <a name="isHorizontal--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isHorizontal</h4>
                                <pre>public&nbsp;boolean&nbsp;isHorizontal()</pre>
                                <div class="block">true to display horizontal bar charts, false for vertical</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the horizontal field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setStacked-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setStacked</h4>
                                <pre>public&nbsp;void&nbsp;setStacked(boolean&nbsp;value)</pre>
                                <div class="block">Sets the stacked field value.
                                    stack displayed values
                                </div>
                            </li>
                        </ul>
                        <a name="isStacked--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isStacked</h4>
                                <pre>public&nbsp;boolean&nbsp;isStacked()</pre>
                                <div class="block">stack displayed values</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the stacked field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setDisplayAsPercentage-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDisplayAsPercentage</h4>
                                <pre>public&nbsp;void&nbsp;setDisplayAsPercentage(boolean&nbsp;value)</pre>
                                <div class="block">Sets the display as percentage field value.
                                    display chart values as a percentage
                                </div>
                            </li>
                        </ul>
                        <a name="isDisplayAsPercentage--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isDisplayAsPercentage</h4>
                                <pre>public&nbsp;boolean&nbsp;isDisplayAsPercentage()</pre>
                                <div class="block">display chart values as a percentage</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the display as percentage field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setShadow-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setShadow</h4>
                                <pre>public&nbsp;void&nbsp;setShadow(boolean&nbsp;value)</pre>
                                <div class="block">Sets the shadow field value.
                                    display a shadow for the chart
                                </div>
                            </li>
                        </ul>
                        <a name="isShadow--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>isShadow</h4>
                                <pre>public&nbsp;boolean&nbsp;isShadow()</pre>
                                <div class="block">display a shadow for the chart</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the shadow field value.</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/BarRecord.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/chart/AxisUsedRecord.html"
               title="class in org.apache.poi.hssf.record.chart"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/chart/BeginRecord.html"
               title="class in org.apache.poi.hssf.record.chart"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/chart/BarRecord.html"
               target="_top">Frames</a></li>
        <li><a href="BarRecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
